Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 178537 - Heads order is not the same that under windows on dual-dvi PCIE X700
Summary: Heads order is not the same that under windows on dual-dvi PCIE X700
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC5Target
TreeView+ depends on / blocked
 
Reported: 2006-01-21 15:30 UTC by Nicolas Mailhot
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-01-23 17:54:35 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
FreeDesktop.org 5680 None None None Never

Description Nicolas Mailhot 2006-01-21 15:30:33 UTC
xorg does not detect the heads in the same order than windows on a dual-dvi PCIE
X700

This is very user-unfriendly, this means on a dual boot system one of the two
OSs won't display any image unless it's tweaked manually to change the primary
monitor (hooking something else on the secundary head to see what's you're doing
meanwhile.

Most users will decide the blank system is broken instaed of hunting and fixing
the problem

Comment 1 Nicolas Mailhot 2006-01-21 15:31:18 UTC
More info in the xorg boog

Comment 2 Mike A. Harris 2006-01-23 17:54:35 UTC
That's because the display detection code in X, is not the same code that
is used in ATI's proprietary driver in Windows.  In order for this to be
changed, it will have to be done upstream by X.Org, and my understanding
is that it will require a complete rewrite of the ATI display detection
code, which is a huge mess, making this particular feature request
nontrivial.

Feel free to file a feature request in upstream X.Org bugzilla if desired.



Comment 3 Nicolas Mailhot 2006-01-23 22:08:58 UTC
Filled upstream as http://freedesktop.org/bugzilla/show_bug.cgi?id=5680


Note You need to log in before you can comment on or make changes to this bug.